Draft Drawing

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Drawing and the translation is 13% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.


Draft Drawing.svg Draft Drawing

Расположение в меню
Черчение -> Рисунок
Верстаки
Draft, Arch
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также
...


Описание

Этот инструмент позволяет помещать выбранные объекты в svg Drawing sheet. Если в документе нет sheet, будет создан по умолчанию. Этот инструмент работает аналогично инструменту Drawing View, но оптимизирован для объектов Draft и может отображать плоские 2D-объекты с заполнением лица. Он также может обрабатывать несколько конкретных объектов проекта, таких как dimensions и texts, которые невозможно обработать инструментом Drawing View.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft drawing example.jpg

Draft object and dimensions imported into a Drawing page


Использование

  1. Select the objects that you wish to put on a drawing sheet.
  2. In the same selection, add the Drawing Workbench page object in which you want to draw the projection of the objects.
  3. Press the Draft Drawing.png Draft Drawing button.

Notes:

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Options

There are no options for this tool. Either it works with the selected objects or not.

Properties

  • DATAFill Style: specifies the fill style "concrete", "square", "simple", "wood", "line", "cross", "woodgrain", or "shape color". This property only works for closed shapes.
  • DATAFont Size: specifies the font size of texts and dimensions.
  • DATALine Width: specifies the line width of viewed objects in millimeters.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Drawing tool can be used in macros and from the Python console by using the following function:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Creates a DrawingView from obj in the specified page.
  • If given, lwmod modifies line weights in percentage, and tmod modifies text heights in percentage.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Example:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg